Subject: Re: GUILE_LOAD_PATH and GUILE_LOAD_COMPILED_PATH on GuixSD

From: swedebugia <[email-masked]>
Date: Wed, 7 Nov 2018 18:08:35 +0100

Hi

On 2018-11-07 17:40, Ludovic Courtès wrote:
> Marius Bakke <[email-masked]> skribis:
>
>> swedebugia <[email-masked]> writes:
> [...]
>
>>> Could we make all guile-* packages emit this suggestion?
>> This limitation is the same as <https://bugs.gnu.org/22138>.
> It’s actually a different issue here: the profile contains packages that
> provide share/guile/2.2, but the same profile doesn’t contain any
> package that “claims” share/guile/2.2.  Thus, everything is working
> according to plan, so to speak.
>
> I understand this particular case is confusing though.  It’s confusing
> because Guile is already installed, albeit in another profile.
>
> What we could do to avoid this confusion is pre-define GUILE_LOAD_PATH
> and GUILE_LOAD_COMPILED_PATH in /etc/profile, just like we do for
> INFOPATH et al.

Sounds good to me.

What I am after is lowering the bar for the user to learn and use guile 
and readline seems like a pretty important component to avoid typing 
everything over and over.

We want guix to be guile land and for guile land to be nice and welcome 
out the box.

I therefore suggest also adding guile-readline to %base-packages if it 
does not produce too much overhead.

Cheers
Swedebugia